net.sf.jasperreports.swing

## Class JRViewerEvent

- java.lang.Object
- - java.util.EventObject
  - - net.sf.jasperreports.swing.JRViewerEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class JRViewerEvent
      extends java.util.EventObject

  Version:
    $Id: JRViewerEvent.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EVENT_FIT_PAGE`
    `static int` | `EVENT_FIT_WIDTH`
    `static int` | `EVENT_PAGE_CHANGED`
    `static int` | `EVENT_REFRESH_PAGE`
    `static int` | `EVENT_REPORT_LOAD_FAILED`
    `static int` | `EVENT_REPORT_LOADED`
    `static int` | `EVENT_ZOOM_CHANGED`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRViewerEvent(JRViewerController controller, int code)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_REPORT_LOADED

          public static final int EVENT_REPORT_LOADED

      See Also:
        Constant Field Values

    - #### EVENT_REFRESH_PAGE

          public static final int EVENT_REFRESH_PAGE

      See Also:
        Constant Field Values

    - #### EVENT_PAGE_CHANGED

          public static final int EVENT_PAGE_CHANGED

      See Also:
        Constant Field Values

    - #### EVENT_ZOOM_CHANGED

          public static final int EVENT_ZOOM_CHANGED

      See Also:
        Constant Field Values

    - #### EVENT_FIT_PAGE

          public static final int EVENT_FIT_PAGE

      See Also:
        Constant Field Values

    - #### EVENT_FIT_WIDTH

          public static final int EVENT_FIT_WIDTH

      See Also:
        Constant Field Values

    - #### EVENT_REPORT_LOAD_FAILED

          public static final int EVENT_REPORT_LOAD_FAILED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRViewerEvent

          public JRViewerEvent(JRViewerController controller,
                       int code)

  - ### Method Detail

    - #### getCode

          public int getCode()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com